#!/usr/local/bin/perl
#1_type_seq.pl
#Author: Paul Stothard
#
#This script prompts the user for a name and a DNA sequence and then
#prints the information on the screen.

#This is a comment. Anything following the Perl comment character "#"
#is ignored by the Perl interpreter (the program that reads and
#executes Perl code).

#The first line in this program is an exception. It is called the
#"shebang" path line. On Unix and Linux platforms it indicates the
#normal path to the Perl interpreter. On other platforms the shebang
#path line may need to be changed. This line isn't needed if you run
#your scripts by typing "perl" followed by the name of the script you
#want to run.

#The following statement causes Perl to warn you of possible typos,
#uninitialized variables, and other potential problems in your
#script. It usually makes Perl scripts easier to debug.
use warnings;

#The following statement also makes programs easier to debug, because
#it requires variables to be declared before they are used. The reason
#that this feature is useful will become apparent to you later.
use strict;

#Now the statements that are specific to this script begin. First,
#print a message that asks for a sequence name. The "\n" is called the
#newline character. It moves the prompt to the next line.
print "Please enter a sequence name and then press enter:\n";

#The following statement contains the first variable,
#$sequence_name. The "my" should appear before each first mention of a
#variable name in a script. "<STDIN>" refers to input typed in by the
#user. When <STDIN> appears in a program, the program execution pauses
#and the program waits for the user to type in a value and followed by
#Enter. The value that is entered is then stored in the variable
#$sequence_name. This is accomplished by the "=".
my $sequence_name = <STDIN>;

#Remove the newline character that is added to the end of the input.
chomp($sequence_name);

#Now print a message that asks for a DNA sequence.
print "Please enter a short DNA sequence and then press enter:\n";

#Store the information that is entered in a second variable.
my $sequence = <STDIN>;

#Remove the newline character that is added to the end of the input.
chomp($sequence);

#Now print the sequence name that the user entered. The variable name
#is not printed--the value stored in it is printed. However, if you
#place a backslash before the variable name, the name itself is printed.
print "$sequence_name is the value stored in the variable \$sequence_name\n";

#Now print the DNA sequence.
print "$sequence is the value stored in the variable \$sequence\n";

#To run this script, use the following command:
#perl 1_type_seq.pl
